Retrieve unrealized tax lots
Returns an overview of unrealized tax lots for the specified account. Requires the `portfolio` scope. Available to individual investors.
| Name | Type | Required | Description |
|---|---|---|---|
| accountId | string | Yes | - |
No request body defined
The trading session after which this summary was calculated
The lots sorted by openDate
The short term profit or loss
The long term profit or loss
The 60/40 profit loss.
The total profit or loss
Account not found or does not belong to the client
No response body defined
{
"asOf": "2023-11-07",
"lots": [
{
"accountNumber": "string",
"symbol": "string",
"cusip": "string",
"companyName": "string",
"quantity": "string",
"costBasis": "string",
"unitCost": "string",
"currentPrice": "string",
"currentValue": "string",
"gainLoss": "string",
"shortTermGainLoss": "string",
"longTermGainLoss": "string",
"details": null,
"lotSelectionId": "string",
"outOfDateStatus": {
"type": "PRE_EXISTING_OPEN_ORDER_ON_SYMBOL",
"order": {
"id": "string",
"description": "string"
},
"description": {
"header": "string",
"body": "string"
}
}
}
],
"shortTerm": "string",
"longTerm": "string",
"sixtyFortyTerm": "string",
"totalProfitLoss": "string"
}